drop sequence document_id_seq;
drop index document_id_key;
drop index document_deleted_key;
drop index document_closed_key;
drop index document_type_key;
drop index document_typeflag_key;
drop index document_number_key;
drop index document_insdate_key;
drop table document;
create table document
(
    id		serial,
    type	int4,		--  - (ls_document.id)
    insdate	int8,		--   -
    carrydate	int8,		--  /
    proddate    int8,		--  
    closedate	int8,		--   1
    closedate2	int8,		--   2 ( )
    product	int4,		-- product.id -   /
    qty		int4,		-- - product
    recipient	int4,		--  (recipient.id)
    categ	int4,		--  (ls_deficit.id)
    operator	int4,		-- ,   (passwd.id)
    operator2	int4,		-- ,   ()
    sum		decimal(9,2),	--   
    flag	int4,		--   (ls_document_stage.flag)
    note	text,		-- 
    closed	bool default false, --  
    deleted     bool default false, -- - 
    number	int4		--   ()
    				--   :
				--  prixod_seq
				--  rasxod_seq
				--  order_seq
				--  deficit0_seq
				--  deficit1_seq
				--  deficit2_seq
				--  deficit3_seq
				--  deficit4_seq
				--  deficit5_seq
);
COMMENT ON TABLE document IS '  - ,   ';
create index document_deleted_key on document using btree (deleted bool_ops);
create index document_closed_key on document using btree (closed bool_ops);
create index document_type_key on document using btree (type int4_ops);
create index document_typeflag_key on document using btree (type,flag);
create index document_number_key on document using btree (number int4_ops);
create index document_insdate_key on document using btree (insdate int8_ops);
grant select on document to customer;

DROP SEQUENCE prixod_seq;
DROP SEQUENCE rasxod_seq;
DROP SEQUENCE deficit0_seq;
DROP SEQUENCE deficit1_seq;
DROP SEQUENCE deficit2_seq;
DROP SEQUENCE deficit3_seq;
DROP SEQUENCE deficit4_seq;
DROP SEQUENCE deficit5_seq;
DROP SEQUENCE order_seq;
DROP SEQUENCE reclam_seq;
DROP SEQUENCE spis_seq;

CREATE SEQUENCE prixod_seq;
COMMENT ON SEQUENCE prixod_seq IS '   ';
CREATE SEQUENCE rasxod_seq;
COMMENT ON SEQUENCE rasxod_seq IS '   ';
CREATE SEQUENCE deficit0_seq;
COMMENT ON SEQUENCE deficit0_seq IS '  /  0';
CREATE SEQUENCE deficit1_seq;
COMMENT ON SEQUENCE deficit1_seq IS '  /  1';
CREATE SEQUENCE deficit2_seq;
COMMENT ON SEQUENCE deficit2_seq IS '  /  2';
CREATE SEQUENCE deficit3_seq;
COMMENT ON SEQUENCE deficit3_seq IS '  /  3';
CREATE SEQUENCE deficit4_seq;
COMMENT ON SEQUENCE deficit4_seq IS '  /  4';
CREATE SEQUENCE deficit5_seq;
COMMENT ON SEQUENCE deficit5_seq IS '  /  5';
CREATE SEQUENCE order_seq;
COMMENT ON SEQUENCE order_seq IS '  ';
CREATE SEQUENCE reclam_seq;
COMMENT ON SEQUENCE reclam_seq IS '   ';
CREATE SEQUENCE spis_seq;
COMMENT ON SEQUENCE spis_seq IS '   ';

--   ,     .
--         - 
--    .
--      ,    
--   showdocf.php
insert into document(type,flag,operator,note)
values(1,2,0,'   ');
insert into document(type,flag,operator,note)
values(1,3,0,'   ');
insert into document(type,flag,operator,note)
values(1,4,0,'  ');
insert into document(type,flag,operator,note)
values(4,2,0,' ');
insert into document(type,flag,operator,note)
values(4,5,0,' ');
insert into document(type,flag,operator,note)
values(5,1,999999,'  ');

--  flag -   ()
--      flag .  c_ls_document_stage.sql

--     1 -   (.  )
--     2 -   (.    .)
--     3 (1+2) -   
--     4 -   (.     )
--     8 -   (.   )
--    16 -    
